const translations = [
  {
    ru: 'При сохранении возникла ошибка. Обновите страницу и попробуйте снова',
    kk: 'Сақтау кезінде қате пайда болды. Бетті жаңартып, қайталап көріңіз'
  },
  {
    ru: 'При отправлении данных по маршруту возникла ошибка! Обратитесь к менеджеру обучения',
    kz: 'Маршрутқа деректерді жіберу кезінде қате пайда болды! Оқу менеджеріне хабарласыңыз'
  },
  {
    ru: 'Ссылка на документ',
    kk: 'Құжатқа сілтеме'
  },
  {
    ru: 'До',
    kk: 'Дейін'
  },
  {
    ru: 'Обязательные:',
    kk: 'Міндетті:'
  },
  {
    ru: 'Дополнительные:',
    kk: 'Қосымша:'
  },
  {
    ru: 'Без статуса',
    kk: 'Мәртебесісіз'
  },
  {
    ru: 'Обучение',
    kk: 'Оқу',
  },
  {
    ru: 'Обучение завершено',
    kk: 'Оқу аяқталды'
  },
  {
    ru: 'Срок обучения истек',
    kk: 'Оқу мерзімі аяқталды'
  },
  {
    ru: 'Осталось дней:',
    kk: 'Күндер қалды:'
  },
  {
    ru: 'Ссылка на документ',
    kk: 'Құжатқа сілтеме'
  },
  {
    ru: 'Дата завершения курса',
    kk: 'Курстың аяқталу күні'
  },
  {
    ru: 'Заполните все поля',
    kk: 'Барлық өрістерді толтырыңыз'
  },
  {
    ru: 'Введите корректный E-mail адрес',
    kk: 'Өтінеміз, қолданыстағы электронды пошта адресін енгізіңіз'
  },
  {
    ru: 'Вы действительно хотите завершить курс?',
    kk: 'Сіз курсты аяқтағыңыз келе ме?'
  },
  {
    ru: 'Итоговое задание на проверку умения',
    kk: 'Икемділікті тексеру соңғы сынағы'
  },
  {
    ru: 'Инструкция для выполнения',
    kk: 'Орындауға арналған нұсқаулық'
  },
  {
    ru: 'Критерии освоения умения',
    kk: 'Икемділікті игеру критерийлері'
  },
  {
    ru: 'Дополнительный материал',
    kk: 'Қосымша материал'
  },
  {
    ru: 'Тестирование пройдено',
    kk: 'Тесттілеуден өтті'
  },
  {
    ru: 'Тестирование не пройдено',
    kk: 'Тесттілеуден өтпеді'
  },
  {
    ru: 'У вас есть пропущенные вопросы, вы действительно хотите завершить тест?',
    kk: 'Сізде өткізілген сұрақтар бар, сіз шынында тестті аяқтағыңыз келе ме?'
  },
  {
    ru: 'Прикрепить результат',
    kk: 'Нәтижені тіркеңіз',
  },
  {
    ru: 'Завершить курс',
    kk: 'Курсты аяқтау',
  },
  {
    ru: 'Ваше задание находится на проверке',
    kk: 'Сіздің тапсырмаңыз тексерілуде',
  },
  {
    ru: 'Задание успешно пройдено (подтверждено менеджером обучения)',
    kk: 'Тапсырма сәтті орындалды (оқу менеджерімен расталады)'
  },
  {
    ru: 'Задание не подтверждено менеджером обучения. Прикрепите новый результат выполнения и отправьте на проверку повторно',
    kk: 'Тапсырманы оқыту менеджері бекітпеді. Жаңа орындау нәтижесін тіркеп, тексеруге қайта жіберіңіз'
  },
  {
    ru: 'Учебный материал',
    kk: 'Оқу материалы'
  },
  {
    ru: 'Дополнительный материал',
    kk: 'Қосымша материал'
  },
  {
    ru: 'Внешние ресурсы',
    kk: 'Сыртқы ресурстар'
  },
  {
    ru: 'Файлы',
    kk: 'Файлдар'
  }
];

this.t = (msg, l = AS.OPTIONS.locale) => {
  const res = translations.find(x => x.ru == msg || x.kk == msg);
  return res ? res[l] : msg;
}
